Description

1. When a cell is in edit mode, (i.e. you have made the layer editable and double clicked in the cell or selected it and pressed F2), you can
move to the next or previous cell by pressing tab or shift-tab. It would be good if there was also an easy and consistent keystroke to move
to the cell above or below. Currently, if the edit widget is a text widget you can do this with Ctrl-up or Ctrl-down, but if the edit widget is
e.g. a line edit, then you need to use up or down.

Maybe ctrl-up and ctrl-down could be enabled for all types of edit widget. Or maybe it would be better to use Alt-Enter and Alt-Shift-Enter
(so ctrl-up and ctrl-down could be used for navigating by paragraph inside a text widget :)).

2. If the cell is in edit mode, when using tab or shift-tab to move cell, the cell you move to is put into edit mode. When using any other
keystroke to move cells, the cell you move to is not put into edit mode. It should be.

3. It would be good if F2 (and maybe Alt-Enter, if not used for 1) could be used to leave edit mode as well as to enter it. There is currently
no consistent keystroke that you can use to exit edit mode (if the edit widget is a line edit, you can press enter, but this does not work with
a text widget).

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
